natureMod = ...

function registerBuildingPart(prefabName, name)
    natureMod:register({
        DataType = "BUILDING_PART",
        Id = MOD_NS .. name .. "_PART",
        Name = name,
        ConstructionVisual = prefabName,
        ConstructorData = {
            DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
            CoreObjectPrefab = prefabName
        }
    })
    natureMod:register({
        DataType = "BUILDING",
        Id = MOD_NS .. name .. "_BUILDING",
        Name = name,
        BuildingType = BUILDING_TYPE.DECORATION,
        AssetCoreBuildingPart =  MOD_NS .. name .. "_PART",
    })
end

registerBuildingPart(MOD_NS .. "PREFAB_OAK_A", "OAK_A")
registerBuildingPart(MOD_NS .. "PREFAB_OAK_B", "OAK_B")
registerBuildingPart(MOD_NS .. "PREFAB_OAK_C", "OAK_C")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_A", "BEECH_A")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_B", "BEECH_B")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_C", "BEECH_C")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_D", "BEECH_D")
registerBuildingPart(MOD_NS .. "PREFAB_BEECH_SAPLING_A", "BEECH_SAPLING_A")
registerBuildingPart(MOD_NS .. "PREFAB_MAPLE_A", "MAPLE_A")
registerBuildingPart(MOD_NS .. "PREFAB_MAPLE_B", "MAPLE_B")
registerBuildingPart(MOD_NS .. "PREFAB_PINE_A", "PINE_A")
registerBuildingPart(MOD_NS .. "PREFAB_PINE_B", "PINE_B")
registerBuildingPart(MOD_NS .. "PREFAB_PINE_C", "PINE_C")

natureMod:register({
	DataType = "BUILDING",
	Id = MOD_NS .. "TEMPERATE_BIOME",
	Name = "FANCY_TEMPERATE_BIOME_NAME",
	BuildingType = BUILDING_TYPE.DECORATION,
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	BuildingPartSetList = {
        {
            Name = "TREES",
            BuildingPartList = {
                MOD_NS .. "OAK_A_PART", MOD_NS .. "OAK_B_PART", MOD_NS .. "OAK_C_PART",
                MOD_NS .. "BEECH_A_PART", MOD_NS .. "BEECH_B_PART", MOD_NS .. "BEECH_C_PART", MOD_NS .. "BEECH_D_PART",
                MOD_NS .. "BEECH_SAPLING_A_PART", MOD_NS .. "MAPLE_A_PART", MOD_NS .. "MAPLE_B_PART"
            }
        }
    }
})