natureMod = ...

natureMod:registerAssetProcessor("models/pine.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

natureMod:registerAssetId("models/pine.fbx/Materials/pine_needles", MOD_NS .. "TRANSPARENT_NEEDLES")
natureMod:override({
    Id = MOD_NS .. "TRANSPARENT_NEEDLES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

natureMod:registerAssetId("models/pine.fbx/Materials/beech_leaves", MOD_NS .. "TRANSPARENT_BEECH_LEAVES")
natureMod:override({
    Id = MOD_NS .. "TRANSPARENT_BEECH_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

natureMod:registerAssetId("models/pine.fbx/Materials/maple_leaves", MOD_NS .. "TRANSPARENT_MAPLE_LEAVES")
natureMod:override({
    Id = MOD_NS .. "TRANSPARENT_MAPLE_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

natureMod:registerAssetId("models/pine.fbx/Materials/maple_leaves_alt", MOD_NS .. "TRANSPARENT_MAPLE_LEAVES_ALT")
natureMod:override({
    Id = MOD_NS .. "TRANSPARENT_MAPLE_LEAVES_ALT",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true,
})

natureMod:registerAssetId("models/pine.fbx/Materials/oak_leaves", MOD_NS .. "TRANSPARENT_OAK_LEAVES")
natureMod:override({
    Id = MOD_NS .. "TRANSPARENT_OAK_LEAVES",
    HasAlphaTest = true,
    BackFaceVisible = true,
	HasShadow = true
})

function registerTree(fbxPath, name)
    local prefabName = MOD_NS .. "PREFAB_" .. name
    natureMod:registerAssetId(fbxPath, prefabName)

    natureMod:registerPrefabComponent(fbxPath, {
        DataType = "COMP_RESOURCE_CONTAINER",
        ResourceData = "WOOD",
        IsReplenishable = false,
        ResourceValue = 4,
        AvailableQuantity = 2,
        Radius = 1.3,
        IsDestroyWhenEmpty = true,
        HasMaximumWorkstation = false
    })
end

registerTree("models/pine.fbx/Prefab/PineAPart", "PINE_A")
registerTree("models/pine.fbx/Prefab/PineBPart", "PINE_B")
registerTree("models/pine.fbx/Prefab/PineCPart", "PINE_C")
registerTree("models/pine.fbx/Prefab/OakTreeAPart", "OAK_A")
registerTree("models/pine.fbx/Prefab/OakTreeBPart", "OAK_B")
registerTree("models/pine.fbx/Prefab/OakTreeCPart", "OAK_C")
registerTree("models/pine.fbx/Prefab/BeechTreeAPart", "BEECH_A")
registerTree("models/pine.fbx/Prefab/BeechTreeBPart", "BEECH_B")
registerTree("models/pine.fbx/Prefab/BeechTreeCPart", "BEECH_C")
registerTree("models/pine.fbx/Prefab/BeechTreeDPart", "BEECH_D")
registerTree("models/pine.fbx/Prefab/BeechSaplingAPart", "BEECH_SAPLING_A")
registerTree("models/pine.fbx/Prefab/MapleTreeAPart", "MAPLE_A")
registerTree("models/pine.fbx/Prefab/MapleTreeBPart", "MAPLE_B")
